Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707846 - app-forensics/honggfuzz-2.0 : bfd.c:(.text+<snip>): undefined reference to bfd_get_section_vma
Summary: app-forensics/honggfuzz-2.0 : bfd.c:(.text+<snip>): undefined reference to bf...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sergei Trofimovich
URL:
Whiteboard: ~arch only
Keywords:
Depends on:
Blocks: binutils-2.34
  Show dependency tree
 
Reported: 2020-02-02 04:12 UTC by Toralf Förster
Modified: 2020-07-29 18:32 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.60 KB, text/plain)
2020-02-02 04:12 UTC, Toralf Förster
Details
app-forensics:honggfuzz-2.0:20200202-005034.log (app-forensics:honggfuzz-2.0:20200202-005034.log,8.37 KB, text/plain)
2020-02-02 04:12 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,273.37 KB, text/plain)
2020-02-02 04:12 UTC, Toralf Förster
Details
environment (environment,52.21 KB, text/plain)
2020-02-02 04:12 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,17.43 KB, application/x-bzip)
2020-02-02 04:12 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,14.67 KB, application/x-bzip)
2020-02-02 04:12 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-02 04:12:34 UTC
x86_64-pc-linux-gnu-gcc -o honggfuzz cmdline.o display.o fuzz.o honggfuzz.o input.o mangle.o report.o sanitizers.o socketfuzzer.o subproc.o linux/arch.o linux/bfd.o linux/perf.o linux/pt.o linux/trace.o linux/unwind.o libhfcommon/libhfcommon.a -Wl,-O1 -Wl,--as-needed -pthread -lm -L/usr/local/include -lunwind-ptrace -lunwind-generic -lunwind -lopcodes -lbfd -lrt -ldl -lm
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: linux/bfd.o: in function `arch_bfdResolveSyms':
bfd.c:(.text+0x429): undefined reference to `bfd_get_section_vma'
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: bfd.c:(.text+0x436): undefined reference to `bfd_get_section_size'
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: bfd.c:(.text+0x4fe): undefined reference to `bfd_get_section_vma'
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-20200126-201521

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sat, 01 Feb 2020 23:27:56 +0000

emerge -qpvO app-forensics/honggfuzz
[ebuild   R   ] app-forensics/honggfuzz-2.0
Comment 1 Toralf Förster gentoo-dev 2020-02-02 04:12:37 UTC
Created attachment 610778 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-02 04:12:40 UTC
Created attachment 610780 [details]
app-forensics:honggfuzz-2.0:20200202-005034.log
Comment 3 Toralf Förster gentoo-dev 2020-02-02 04:12:43 UTC
Created attachment 610782 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-02-02 04:12:46 UTC
Created attachment 610784 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-02-02 04:12:49 UTC
Created attachment 610786 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-02 04:12:52 UTC
Created attachment 610788 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-02-02 11:29:05 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a7ae297c5ad2ebaa8bd77398dcf5f3c8f48d5fa

commit 7a7ae297c5ad2ebaa8bd77398dcf5f3c8f48d5fa
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-02-02 11:28:11 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-02-02 11:28:57 +0000

    app-forensics/honggfuzz: tweak for binutils-2.34, bug #707846
    
    Reported-by: Toralf Förster
    Closes: https://bugs.gentoo.org/707846
    Package-Manager: Portage-2.3.87, Repoman-2.3.20
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 .../files/honggfuzz-2.0-binutils-2.34.patch        | 22 ++++++++++++++++++++++
 app-forensics/honggfuzz/honggfuzz-2.0.ebuild       | 10 +++++++++-
 2 files changed, 31 insertions(+), 1 deletion(-)